#!/usr/bin/env python
# coding: utf-8

# In[1]:


import numpy as np
import pandas as pd


# In[2]:


ventes_livre_A = np.array([100, 150, 120, 180, 90, 200]) 
ventes_livre_B = np.array([80, 110, 90, 100, 120, 160])


# In[5]:


total_vente_livre_A = np.sum(ventes_livre_A) 
total_vente_livre_B = np.sum(ventes_livre_B)
print (total_vente_livre_A)
print (total_vente_livre_B)


# In[10]:


data = {
    'Mois': ['Mois 01', 'Mois 02', 'Mois 03', 'Mois 04', 'Mois 05', 'Mois 06'],
    'Ventes Produit A': ventes_livre_A,
    'Ventes Produit B': ventes_livre_B
}
print(data)


# In[11]:


df_vente_livres = pd.DataFrame(data)
print(df_vente_livres)


# In[15]:


# Afficher les premières lignes du dataframe (par défaut, les 5 premières lignes) 
print(df_vente_livres.head()) 

# Afficher les informations sur le dataframe
print(df_vente_livres.info()) 

# Afficher des statistiques descriptives sur les colonnes numériques 
print(df_vente_livres.describe())


# In[20]:


# Accéder à une colonne spécifique
ventes_A = df_vente_livres['Ventes Produit A'] 
print(ventes_A)

# Accéder à une cellule spécifique du DataFrame 
vente_cellule_A = df_vente_livres.loc[1, 'Ventes Produit A']
print(vente_cellule_A)


# In[24]:


# Filtrer les ventes du livre A supérieures à 100 
ventes_A_sup_100 = df_vente_livres[df_vente_livres['Ventes Produit A'] > 100] 
print(ventes_A_sup_100)

# Filtrer les ventes du livre B lors du 3e mois 
ventes_mois3_B = df_vente_livres[df_vente_livres['Mois'] == 'Mois 03']
print(ventes_mois3_B)


# In[26]:


# Calculer la somme des ventes totales pour chaque mois (somme des ventes des livres A et B)
df_vente_livres['Ventes Totales'] = df_vente_livres['Ventes Produit A'] + df_vente_livres['Ventes Produit B']
print(df_vente_livres.head())


# In[30]:


# Trier le DataFrame par ordre croissant des ventes du livre A
df_ventes_tri = df_vente_livres.sort_values(by='Ventes Produit A', ascending=True)
print(df_ventes_tri)


# In[ ]:




